[arch-commits] Commit in pcmciautils/trunk (60-pcmcia.rules PKGBUILD)

Tobias Powalowski tpowa at archlinux.org
Mon Nov 2 15:46:34 EST 2009


    Date: Monday, November 2, 2009 @ 15:46:33
  Author: tpowa
Revision: 57857

upgpkg: pcmciautils 016-1
    bump to latest version

Modified:
  pcmciautils/trunk/60-pcmcia.rules
  pcmciautils/trunk/PKGBUILD

-----------------+
 60-pcmcia.rules |    4 ++--
 PKGBUILD        |   18 +++++++++---------
 2 files changed, 11 insertions(+), 11 deletions(-)

Modified: 60-pcmcia.rules
===================================================================
--- 60-pcmcia.rules	2009-11-02 20:34:59 UTC (rev 57856)
+++ 60-pcmcia.rules	2009-11-02 20:46:33 UTC (rev 57857)
@@ -10,7 +10,7 @@
 # instead of the manufactor, card or product ID. Then the
 # matching is done in userspace.
 SUBSYSTEM=="pcmcia", ENV{MODALIAS}=="?*", \
-		RUN+="/sbin/pcmcia-check-broken-cis"
+		RUN+="/lib/udev/pcmcia-check-broken-cis"
 
 # However, the "weak" matching by func_id is only allowed _after_ modprobe
 # returns, so that "strong" matches have a higher priority.
@@ -25,6 +25,6 @@
 # if this is a PCMCIA socket which needs a resource database,
 # pcmcia-socket-startup sets it up
 SUBSYSTEM=="pcmcia_socket", \
-		RUN+="/sbin/pcmcia-socket-startup"
+		RUN+="/lib/udev/pcmcia-socket-startup"
 
 LABEL="pcmciautils_end"

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-11-02 20:34:59 UTC (rev 57856)
+++ PKGBUILD	2009-11-02 20:46:33 UTC (rev 57857)
@@ -1,8 +1,8 @@
 # $Id$
 # Maintainer: Tobias Powalowski <tpowa at archlinux.org>
 pkgname=pcmciautils
-pkgver=015
-pkgrel=2
+pkgver=016
+pkgrel=1
 pkgdesc="Utilities for inserting and removing PCMCIA cards"
 arch=(i686 x86_64)
 url="http://kernel.org/pub/linux/utils/kernel/pcmcia/pcmcia.html"
@@ -13,22 +13,22 @@
 source=(http://kernel.org/pub/linux/utils/kernel/pcmcia/pcmciautils-$pkgver.tar.bz2 
 	60-pcmcia.rules)
 options=(!makeflags)
+md5sums=('93828a89c22a1d45a46c6dede63632cd'
+         'f88ac464ab9c75fe1565af551e6553a2')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
+  cd $srcdir/$pkgname-$pkgver
   sed -i -e 's,/usr/bin/install,/bin/install,g' Makefile
   make || return 1
-  make DESTDIR=$startdir/pkg/ install
+  make DESTDIR=$pkgdir install || return 1
   # fix lspcmcia symlink
   ln -sf pccardctl $startdir/pkg/sbin/lspcmcia
   # adding static binaries for initrd setup
   make clean
   sed -i -e 's/STATIC\ =\ false/STATIC\ =\ true/g' Makefile
   make || return 1
-  install -D -m755 pcmcia-check-broken-cis $startdir/pkg/sbin/pcmcia-check-broken-cis.static
-  install -D -m755 pcmcia-socket-startup $startdir/pkg/sbin/pcmcia-socket-startup.static
+  install -D -m755 pcmcia-check-broken-cis $startdir/pkg/lib/udev/pcmcia-check-broken-cis.static
+  install -D -m755 pcmcia-socket-startup $startdir/pkg/lib/udev/pcmcia-socket-startup.static
   # add fixed rules file
-  install -D -m644 $startdir/src/60-pcmcia.rules $startdir/pkg/etc/udev/rules.d/
+  install -D -m644 $startdir/src/60-pcmcia.rules $startdir/pkg/lib/udev/rules.d/
 }
-md5sums=('9e12435c8b6cf7bf59894e90e480b4aa'
-         '683150da64dd81cf9f7884b6fce06980')



More information about the arch-commits mailing list